﻿#pragma once
// Arkadia
#include "ark_core/Math.hpp"


namespace dfd {
#if !(ARK_OS_IS_DOS)
static ark::Color DemoColors[] = {
    { 0x07,0x07,0x07 },
    { 0x1F,0x07,0x07 },
    { 0x2F,0x0F,0x07 },
    { 0x47,0x0F,0x07 },
    { 0x57,0x17,0x07 },
    { 0x67,0x1F,0x07 },
    { 0x77,0x1F,0x07 },
    { 0x8F,0x27,0x07 },
    { 0x9F,0x2F,0x07 },
    { 0xAF,0x3F,0x07 },
    { 0xBF,0x47,0x07 },
    { 0xC7,0x47,0x07 },
    { 0xDF,0x4F,0x07 },
    { 0xDF,0x57,0x07 },
    { 0xDF,0x57,0x07 },
    { 0xD7,0x5F,0x07 },
    { 0xD7,0x5F,0x07 },
    { 0xD7,0x67,0x0F },
    { 0xCF,0x6F,0x0F },
    { 0xCF,0x77,0x0F },
    { 0xCF,0x7F,0x0F },
    { 0xCF,0x87,0x17 },
    { 0xC7,0x87,0x17 },
    { 0xC7,0x8F,0x17 },
    { 0xC7,0x97,0x1F },
    { 0xBF,0x9F,0x1F },
    { 0xBF,0x9F,0x1F },
    { 0xBF,0xA7,0x27 },
    { 0xBF,0xA7,0x27 },
    { 0xBF,0xAF,0x2F },
    { 0xB7,0xAF,0x2F },
    { 0xB7,0xB7,0x2F },
    { 0xB7,0xB7,0x37 },
    { 0xCF,0xCF,0x6F },
    { 0xDF,0xDF,0x9F },
    { 0xEF,0xEF,0xC7 },
    { 0xFF,0xFF,0xFF }
}; // struct DemoColors

#else
static ark::Color DemoColors[] = {
    { 0x20 + 0x10 },
    { 0x21 + 0x10 },
    { 0x22 + 0x10 },
    { 0x23 + 0x10 },
    { 0x24 + 0x10 },
    { 0x25 + 0x10 },
    { 0x26 + 0x10 },
    { 0x27 + 0x10 },
    { 0x28 + 0x10 },
    { 0x29 + 0x10 },
    { 0x2a + 0x10 },
    { 0x2b + 0x10 },
    { 0x2c + 0x10 },
    { 0x2d + 0x10 },
    { 0x2e + 0x10 },
    { 0x2f + 0x10 },
    { 0x30 + 0x10 },
    { 0x31 + 0x10 },
    { 0x32 + 0x10 },
    { 0x33 + 0x10 },
    { 0x34 + 0x10 },
    { 0x35 + 0x10 },
    { 0x36 + 0x10 },
    { 0x37 + 0x10 },
    { 0x38 + 0x10 },
    { 0x39 + 0x10 },
    { 0x3a + 0x10 },
    { 0x3b + 0x10 },
    { 0x3c + 0x10 },
    { 0x3d + 0x10 },
    { 0x3e + 0x10 },
    { 0x3f + 0x10 },
    { 0x40 + 0x10 },
    { 0x41 + 0x10 },
    { 0x42 + 0x10 },
    { 0x43 + 0x10 },
    { 0x44 + 0x10 }
}; // struct DemoColors
#endif
} // namespace dfd
